import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { BooleanIval } from '../../data-type/boolean/boolean-ival';
import { InputViewMode } from '../../support/input-view-mode';
import { InputTemplateIF } from '../../support/template-components/input-template-component/input-template.component';
import { CheckboxWidgetConfig } from './checkbox-widget-config';
export declare class CheckboxWidgetTemplateComponent implements OnInit, InputTemplateIF {
    private changeDetectorRef;
    flex: string;
    flexLayout: string;
    flexLayoutAlign: string;
    config: CheckboxWidgetConfig;
    ival: BooleanIval;
    mode: InputViewMode;
    change: EventEmitter<any>;
    viewModes: {
        CONFIGURE: InputViewMode;
        EDIT: InputViewMode;
        PREVIEW: InputViewMode;
        VIEW: InputViewMode;
    };
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
}
