"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var core_2 = require("@tangential/core");
//noinspection TypeScriptPreferShortImport
var number_ival_1 = require("../../data-type/number/number-ival");
var input_view_mode_1 = require("../../support/input-view-mode");
var number_input_config_1 = require("./number-input-config");
var NumberTemplateComponent = (function () {
    function NumberTemplateComponent(_changeDetector) {
        this._changeDetector = _changeDetector;
        this.mode = null;
        this.change = new core_1.EventEmitter(false);
        this.viewModes = input_view_mode_1.InputViewModes;
    }
    NumberTemplateComponent.prototype.ngOnInit = function () {
        core_2.Hacks.materialDesignPlaceholderText(this._changeDetector);
    };
    return NumberTemplateComponent;
}());
__decorate([
    core_1.Input(),
    __metadata("design:type", number_input_config_1.NumberInputConfig)
], NumberTemplateComponent.prototype, "config", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", number_ival_1.NumberIval)
], NumberTemplateComponent.prototype, "ival", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", Object)
], NumberTemplateComponent.prototype, "mode", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], NumberTemplateComponent.prototype, "change", void 0);
NumberTemplateComponent = __decorate([
    core_1.Component({
        template: "<!-- -->\n  <ng-container *ngIf=\"mode == viewModes.VIEW || mode == viewModes.PREVIEW || mode == viewModes.EDIT  \">\n    <tanj-number-widget [labelPosition]=\"config.labelPosition\"\n                       [disabled]=\"mode === viewModes.PREVIEW || config.disabled\"\n                       [label]=\"config.label\"\n                       [(value)]=\"ival.value\"\n                       [max]=\"config.typeConfig.max\"\n                       [min]=\"config.typeConfig.min\"\n                       [decimalPlaces]=\"config.typeConfig.decimalPlaces\"\n                       [step]=\"config.typeConfig.step\">\n\n    </tanj-number-widget>\n  </ng-container>\n  <ng-container *ngIf=\"mode == viewModes.CONFIGURE\">\n    <tanj-number-configure\n      [labelPosition]=\"config.labelPosition\"\n      [(label)]=\"config.label\"\n      [(value)]=\"ival.value\"\n      [(defaultValue)]=\"config.typeConfig.defaultValue\"\n      [(max)]=\"config.typeConfig.max\"\n      [(min)]=\"config.typeConfig.min\"\n      [(decimalPlaces)]=\"config.typeConfig.decimalPlaces\"\n      [(step)]=\"config.typeConfig.step\">\n\n    </tanj-number-configure>\n  </ng-container>\n\n                 ",
        encapsulation: core_1.ViewEncapsulation.None
    }),
    __metadata("design:paramtypes", [core_1.ChangeDetectorRef])
], NumberTemplateComponent);
exports.NumberTemplateComponent = NumberTemplateComponent;

//# sourceMappingURL=number-template.component.js.map
