"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("@angular/common");
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var material_1 = require("@angular/material");
var components_1 = require("@tangential/components");
var input_widgets_1 = require("@tangential/input-widgets");
//noinspection TypeScriptPreferShortImport
var choose_input_widget_dialog_1 = require("./support/choose-input-widget-dialog/choose-input-widget-dialog");
var edit_configurable_widget_component_1 = require("./support/edit-configurable-widget-component/edit-configurable-widget.component");
//noinspection TypeScriptPreferShortImport
var input_template_container_component_1 = require("./support/template-components/input-template-component/input-template-container.component");
//noinspection TypeScriptPreferShortImport
var input_template_directive_1 = require("./support/template-components/input-template-component/input-template.directive");
//noinspection TypeScriptPreferShortImport
var checkbox_widget_template_component_1 = require("./widgets/checkbox/checkbox-widget.template.component");
//noinspection TypeScriptPreferShortImport
var date_time_template_component_1 = require("./widgets/date-time-input/date-time-template.component");
//noinspection TypeScriptPreferShortImport
var duration_picker_template_component_1 = require("./widgets/duration-picker/duration-picker-template.component");
//noinspection TypeScriptPreferShortImport
var icon_rating_widget_template_component_1 = require("./widgets/icon-rating-widget/icon-rating-widget.template.component");
//noinspection TypeScriptPreferShortImport
var number_template_component_1 = require("./widgets/number-input/number-template.component");
//noinspection TypeScriptPreferShortImport
var number_slider_template_component_1 = require("./widgets/number-slider/number-slider-template.component");
//noinspection TypeScriptPreferShortImport
var number_spinner_template_component_1 = require("./widgets/number-spinner/number-spinner-template.component");
//noinspection TypeScriptPreferShortImport
var slide_toggle_widget_template_component_1 = require("./widgets/slide-toggle/slide-toggle-widget.template.component");
//noinspection TypeScriptPreferShortImport
var text_template_component_1 = require("./widgets/text-input/text-template.component");
var TanjConfigurableWidgetModule = (function () {
    function TanjConfigurableWidgetModule() {
    }
    return TanjConfigurableWidgetModule;
}());
TanjConfigurableWidgetModule = __decorate([
    core_1.NgModule({
        imports: [
            common_1.CommonModule,
            forms_1.FormsModule,
            material_1.MdButtonModule,
            material_1.MdInputModule,
            material_1.MdCheckboxModule,
            material_1.MdSlideToggleModule,
            material_1.MdSliderModule,
            components_1.TanjComponentsModule,
            input_widgets_1.TanjInputWidgetModule
        ],
        declarations: [
            input_template_container_component_1.InputTemplateContainerComponent,
            input_template_directive_1.InputTemplateDirective,
            edit_configurable_widget_component_1.EditConfigurableWidgetComponent,
            choose_input_widget_dialog_1.ChooseInputWidgetDialog,
            date_time_template_component_1.DateTimeTemplateComponent,
            duration_picker_template_component_1.DurationPickerTemplateComponent,
            icon_rating_widget_template_component_1.IconRatingWidgetTemplateComponent,
            number_template_component_1.NumberTemplateComponent,
            number_slider_template_component_1.NumberSliderTemplateComponent,
            number_spinner_template_component_1.NumberSpinnerTemplateComponent,
            text_template_component_1.TextTemplateComponent,
            checkbox_widget_template_component_1.CheckboxWidgetTemplateComponent,
            slide_toggle_widget_template_component_1.SlideToggleWidgetTemplateComponent,
        ],
        exports: [
            input_template_container_component_1.InputTemplateContainerComponent,
            input_template_directive_1.InputTemplateDirective,
            choose_input_widget_dialog_1.ChooseInputWidgetDialog,
            edit_configurable_widget_component_1.EditConfigurableWidgetComponent,
            date_time_template_component_1.DateTimeTemplateComponent,
            duration_picker_template_component_1.DurationPickerTemplateComponent,
            icon_rating_widget_template_component_1.IconRatingWidgetTemplateComponent,
            number_template_component_1.NumberTemplateComponent,
            number_slider_template_component_1.NumberSliderTemplateComponent,
            number_spinner_template_component_1.NumberSpinnerTemplateComponent,
            text_template_component_1.TextTemplateComponent,
            checkbox_widget_template_component_1.CheckboxWidgetTemplateComponent,
            slide_toggle_widget_template_component_1.SlideToggleWidgetTemplateComponent,
        ],
        entryComponents: [
            choose_input_widget_dialog_1.ChooseInputWidgetDialog,
            date_time_template_component_1.DateTimeTemplateComponent,
            icon_rating_widget_template_component_1.IconRatingWidgetTemplateComponent,
            number_template_component_1.NumberTemplateComponent,
            number_slider_template_component_1.NumberSliderTemplateComponent,
            number_spinner_template_component_1.NumberSpinnerTemplateComponent,
            text_template_component_1.TextTemplateComponent,
            duration_picker_template_component_1.DurationPickerTemplateComponent,
            checkbox_widget_template_component_1.CheckboxWidgetTemplateComponent,
            slide_toggle_widget_template_component_1.SlideToggleWidgetTemplateComponent
        ]
    })
], TanjConfigurableWidgetModule);
exports.TanjConfigurableWidgetModule = TanjConfigurableWidgetModule;

//# sourceMappingURL=configurable-widget.module.js.map
