"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
var configurable_input_type_1 = require("../configurable-input-type");
var boolean_ival_1 = require("./boolean-ival");
var Model = {
    defaultValue: false
};
var BooleanType = (function (_super) {
    __extends(BooleanType, _super);
    function BooleanType(config, key) {
        return _super.call(this, config || {}, key) || this;
    }
    BooleanType.prototype.getInputTypeKey = function () {
        return BooleanType.TYPE_NAME;
    };
    BooleanType.prototype.isNumeric = function () {
        return false;
    };
    BooleanType.prototype.createValue = function (cfg, key) {
        cfg = cfg || {};
        return new boolean_ival_1.BooleanIval({
            value: (cfg.value === true || cfg.value === false) ? cfg.value : this.defaultValue
        }, key || this.$key);
    };
    return BooleanType;
}(configurable_input_type_1.ConfigurableInputType));
BooleanType.$model = core_1.ObjectUtil.assignDeep({}, configurable_input_type_1.ConfigurableInputType.$model, Model);
BooleanType.TYPE_NAME = 'Boolean';
exports.BooleanType = BooleanType;
configurable_input_type_1.ConfigurableInputType.register(BooleanType);

//# sourceMappingURL=boolean-type.js.map
