"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
//noinspection TypeScriptPreferShortImport
var number_type_1 = require("../../data-type/number/number-type");
var input_config_1 = require("../../input-config");
var Model = {
    label: 'Number',
    labelPosition: 'before',
    disabled: false,
    typeConfig: {
        _inputTypeKey: number_type_1.NumberType.TYPE_NAME,
        defaultValue: 0
    }
};
var demoConfig = Object.assign({}, Model);
var NumberInputConfig = (function (_super) {
    __extends(NumberInputConfig, _super);
    function NumberInputConfig(config, key) {
        var _this = _super.call(this, NumberInputConfig.INPUT_NAME, config || {}, key) || this;
        _this.typeConfig = new number_type_1.NumberType(_this.typeConfig);
        return _this;
    }
    NumberInputConfig.prototype.getDemoInstance = function () {
        return new NumberInputConfig(demoConfig);
    };
    return NumberInputConfig;
}(input_config_1.InputConfig));
NumberInputConfig.$model = core_1.ObjectUtil.assignDeep({}, input_config_1.InputConfig.$model, Model);
NumberInputConfig.INPUT_NAME = 'NumberInput';
exports.NumberInputConfig = NumberInputConfig;
input_config_1.InputConfig.register(NumberInputConfig);

//# sourceMappingURL=number-input-config.js.map
