"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
var text_type_1 = require("../../data-type/text/text-type");
var input_config_1 = require("../../input-config");
var Model = {
    label: 'Short Text',
    labelPosition: 'before',
    disabled: false,
    typeConfig: {
        _inputTypeKey: text_type_1.TextType.TYPE_NAME,
        maxLength: 100,
        defaultValue: null
    }
};
var demoConfig = core_1.ObjectUtil.assignDeep({}, Model, {
    typeConfig: {
        maxLength: 100,
        defaultValue: null
    }
});
var TextInputConfig = (function (_super) {
    __extends(TextInputConfig, _super);
    function TextInputConfig(config, key) {
        var _this = _super.call(this, TextInputConfig.INPUT_NAME, config || {}, key) || this;
        _this.labelPosition = 'before';
        _this.typeConfig = new text_type_1.TextType(_this.typeConfig);
        return _this;
    }
    TextInputConfig.prototype.getDemoInstance = function () {
        return new TextInputConfig(demoConfig);
    };
    return TextInputConfig;
}(input_config_1.InputConfig));
TextInputConfig.$model = core_1.ObjectUtil.assignDeep({}, input_config_1.InputConfig.$model, Model);
TextInputConfig.INPUT_NAME = 'TextInput';
exports.TextInputConfig = TextInputConfig;
input_config_1.InputConfig.register(TextInputConfig);

//# sourceMappingURL=text-input-config.js.map
